GFPERF-READ(1)

NAME
gfperf-read - Gfarm measure file read performance

SYNOPSIS

gfperf-read [-t, --testdir test directory] [-m, --gfarm2fs gfarm2fs mount point] [-l, --filesize file size] [-b, --bufsize buffer size] [-r, --random random ] [-g, --gfsd gfsd name] [-k, --timeout timeout seconds]

DESCRIPTION

This command mesures file read performance of specified size of file in test directory. The test file is automatically created and not removed to be reused again.

OPTIONS

-t, --testdir test directory
    Test file is created in test directory. Specify only gfarm url (that begins with gfarm:///) . The default is gfarm:///tmp .

-m, --gfarm2fs gfarm2fs mount point
    Specify gfarm2fs mount point.

-l, --filesize file size
    File size to be created. The default is 1M. (1G=2^20)

-b, --bufsize buffer size
    Buffer size to read test file. The default is 4K. (1K=2^10)

-r, --random random
    Only if this option is specified, Reads test file randomly. Option parameter is free. If this option is omitted, this command reads test file sequentially.

-g, --gfsd gfsd name
    Specify gfsd name on which test file is created. If this option is omitted, gfmd determines automatically.

-k, --timeout timeout seconds
    Maximum read time in seconds. This comannd measures how much data to be read in this seconds.